﻿using HEIDENHAIN.body;
using System.Collections.Generic;

namespace IMCS.HeidenHain
{
    public class ResponseBody
    {
        public int code
        { get; set; }

        public bool result
        { get; set; } = true;

        public string msg
        { get; set; } = "调用成功";

        public string returnData { get; set; }

        public int statusCode { get; set; } = 200;

        public string toolsInfo { get; set; } = "";

        public string errorsInfo { get; set; } = "";

        public string runDatasInfo { get; set; } = "";

        public DeviceInfoData deviceData
        { get; set; }
    }

    public class ToolsInfo
    {
        public string position { get; set; }
        public string number { get; set; }

        public string name { get; set; }

        public string targetLife { get; set; }

        public string warnLife { get; set; }

        public string curTime { get; set; }

        public string tl { get; set; }

        public string doc { get; set; }



    }

    public class RunDatasInfo
    {
        /// <summary>
        /// 进给倍率
        /// </summary>
        public string feedRate { get; set; }
        /// <summary>
        /// 主轴倍率
        /// </summary>
        public string spindleMagnification { get; set; }
        /// <summary>
        /// 主轴转速
        /// </summary>
        public string spindleSpeed { get; set; }
        /// <summary>
        /// 主轴负载
        /// </summary>
        public string spindleLoad { get; set; }

    }
}
